﻿using System;
using System.Windows.Forms;
using PaintDotNet.Effects;
using System.Globalization;
using System.Drawing;

namespace HexaGrid
{
  public class EffectPluginConfigDialog : EffectConfigDialog
  {
    public static string CICC = CultureInfo.CurrentUICulture.EnglishName;

    private Button buttonOK;
    private TrackBar SizeHexa;
    private Label label1;
    private Label label2;
    private Label label3;
    private Label label4;
    private Label label5;
    private Label lbSizb;
    private NumericUpDown SizeUpDown;
    private CheckBox AntiAliased;
    private TrackBar cbBrush;
    private NumericUpDown BrushUpDown;
    private CheckBox DrawMode2;
    private PictureBox PictureBox2;
    private PictureBox PictureBox1;
    private CheckBox DrawMode1;
    private PictureBox PictureBox3;
    private CheckBox DrawMode3;
    private PictureBox PictureBox6;
    private CheckBox DrawMode6;
    private PictureBox PictureBox5;
    private PictureBox PictureBox4;
    private CheckBox DrawMode4;
    private CheckBox DrawMode5;
    private CheckBox cbEnd;
    private NumericUpDown SizbUpDown;
    private TrackBar SizeHexb;
    private CheckBox cbSize;
    private NumericUpDown AlphaUpDown;
    private TrackBar tbAlpha;
    private CheckBox SpotCross;
    private PictureBox PictureBox7;
    private Button ColPick1;
    private Button ColPick2;
    private Button ColPickSpot;
    private ColorDialog colorDialog1;
    private ColorDialog colorDialog2;
    private ColorDialog colorDialogSpot;
    private Button buttonCancel;

    //variables
    private Color Color1;
    private Color Color2;
    private Color ColorSpot;


    public EffectPluginConfigDialog()
    {
      InitializeComponent();
      if (CICC == "French")
      {
        label2.Text = "Taille horizontale";
        label3.Text = "Mode de dessin";
        DrawMode1.Text = "Gauche";
        DrawMode2.Text = "Centre";
        DrawMode3.Text = "Droite";
        DrawMode4.Text = "Haut";
        DrawMode5.Text = "Centre";
        DrawMode6.Text = "Bas";
        label5.Text = "Largeur de trait:";
        AntiAliased.Text = "Qualité";
        SpotCross.Text = "Marquer les jonctions";
        buttonCancel.Text = "Annuler";
        cbEnd.Text = "< Extrémités des lignes";
        lbSizb.Text = "Taille verticale";
        cbSize.Text = "Tailles liées";
        label1.Text = "Transparence:";
        Text = "Grille hexagonale";
        label4.Text = "Couleurs";
      }
      else if (CICC == "Russian")
      {
        //label2.Location = new Point(7, 4);
        label2.Text = "Размер по\r\nгоризонтали";
        label3.Text = "Варианты отрисовки";
        DrawMode1.Text = "Слева";
        DrawMode2.Text = "По центру";
        DrawMode3.Text = "Справа";
        DrawMode4.Text = "Сверху";
        DrawMode5.Text = "По центру";
        DrawMode6.Text = "Снизу";
        label5.Text = "Ширина линий:";
        AntiAliased.Text = "Сглаживание";
        SpotCross.Text = "Точка слияния";
        buttonCancel.Text = "Отмена";
        cbEnd.Text = "< Окончание линий";
        //lbSizb.Location = new Point(7, 29);
        lbSizb.Text = "Размер по\r\nвертикали";
        cbSize.Text = "Связанные размеры";
        label1.Text = "Прозрачность:";
        Text = "Шестиугольная сетка";
        label4.Text = "Цвета";
      }

    }

    protected override void InitialInitToken()
    {
      theEffectToken = new EffectPluginConfigToken();
    }

    protected override void InitTokenFromDialog()
    {
      // This saves all the UI controls into the token variables
      ((EffectPluginConfigToken)EffectToken).AntiAliased = (AntiAliased.Checked == true);
      ((EffectPluginConfigToken)EffectToken).SpotCross = (SpotCross.Checked == true);
      ((EffectPluginConfigToken)EffectToken).SizeHexa = (int)SizeUpDown.Value;
      ((EffectPluginConfigToken)EffectToken).SizeHexb = (int)SizbUpDown.Value;
      ((EffectPluginConfigToken)EffectToken).SizeLink = (cbSize.Checked == true);
      ((EffectPluginConfigToken)EffectToken).TransAlpha = (int)AlphaUpDown.Value;
      ((EffectPluginConfigToken)EffectToken).BrushWidth = (int)BrushUpDown.Value;
      ((EffectPluginConfigToken)EffectToken).DrawMode1 = (DrawMode1.Checked == true);
      ((EffectPluginConfigToken)EffectToken).DrawMode2 = (DrawMode2.Checked == true);
      ((EffectPluginConfigToken)EffectToken).DrawMode3 = (DrawMode3.Checked == true);
      ((EffectPluginConfigToken)EffectToken).DrawMode4 = (DrawMode4.Checked == true);
      ((EffectPluginConfigToken)EffectToken).DrawMode5 = (DrawMode5.Checked == true);
      ((EffectPluginConfigToken)EffectToken).DrawMode6 = (DrawMode6.Checked == true);
      ((EffectPluginConfigToken)EffectToken).EndMode = (cbEnd.Checked == true);
      ((EffectPluginConfigToken)EffectToken).Color1 = Color1;
      ((EffectPluginConfigToken)EffectToken).Color2 = Color2;
      ((EffectPluginConfigToken)EffectToken).ColorSpot = ColorSpot;
    }

    protected override void InitDialogFromToken(EffectConfigToken effectToken)
    {
      // This repopulates the UI when you run the effect a second time
      EffectPluginConfigToken token = (EffectPluginConfigToken)effectToken;
      AntiAliased.Checked = token.AntiAliased;
      SpotCross.Checked = token.SpotCross;
      cbEnd.Checked = token.EndMode;
      DrawMode1.Checked = token.DrawMode1;
      DrawMode2.Checked = token.DrawMode2;
      DrawMode3.Checked = token.DrawMode3;
      DrawMode4.Checked = token.DrawMode4;
      DrawMode5.Checked = token.DrawMode5;
      DrawMode6.Checked = token.DrawMode6;
      AlphaUpDown.Value = token.TransAlpha;
      BrushUpDown.Value = token.BrushWidth;
      SizeUpDown.Value = token.SizeHexa;
      SizbUpDown.Value = token.SizeHexb;
      cbSize.Checked = token.SizeLink;
      Color1 = token.Color1;
      Color2 = token.Color2;
      ColorSpot = token.ColorSpot;
      colorDialog1.Color = Color1;
      colorDialog2.Color = Color2;
      colorDialogSpot.Color = ColorSpot;
      ColPick1.BackColor = Color1;
      ColPick2.BackColor = Color2;
      ColPickSpot.BackColor = ColorSpot;
    }

    private void InitializeComponent()
    {
      this.label1 = new System.Windows.Forms.Label();
      this.label2 = new System.Windows.Forms.Label();
      this.label3 = new System.Windows.Forms.Label();
      this.label4 = new System.Windows.Forms.Label();
      this.label5 = new System.Windows.Forms.Label();
      this.lbSizb = new System.Windows.Forms.Label();
      this.SizeHexa = new System.Windows.Forms.TrackBar();
      this.SizeUpDown = new System.Windows.Forms.NumericUpDown();
      this.DrawMode1 = new System.Windows.Forms.CheckBox();
      this.DrawMode2 = new System.Windows.Forms.CheckBox();
      this.DrawMode3 = new System.Windows.Forms.CheckBox();
      this.DrawMode4 = new System.Windows.Forms.CheckBox();
      this.DrawMode5 = new System.Windows.Forms.CheckBox();
      this.DrawMode6 = new System.Windows.Forms.CheckBox();
      this.PictureBox1 = new System.Windows.Forms.PictureBox();
      this.PictureBox2 = new System.Windows.Forms.PictureBox();
      this.PictureBox3 = new System.Windows.Forms.PictureBox();
      this.PictureBox4 = new System.Windows.Forms.PictureBox();
      this.PictureBox5 = new System.Windows.Forms.PictureBox();
      this.PictureBox6 = new System.Windows.Forms.PictureBox();
      this.cbBrush = new System.Windows.Forms.TrackBar();
      this.BrushUpDown = new System.Windows.Forms.NumericUpDown();
      this.AntiAliased = new System.Windows.Forms.CheckBox();
      this.buttonCancel = new System.Windows.Forms.Button();
      this.buttonOK = new System.Windows.Forms.Button();
      this.cbEnd = new System.Windows.Forms.CheckBox();
      this.SizbUpDown = new System.Windows.Forms.NumericUpDown();
      this.SizeHexb = new System.Windows.Forms.TrackBar();
      this.cbSize = new System.Windows.Forms.CheckBox();
      this.AlphaUpDown = new System.Windows.Forms.NumericUpDown();
      this.tbAlpha = new System.Windows.Forms.TrackBar();
      this.ColPick2 = new System.Windows.Forms.Button();
      this.ColPick1 = new System.Windows.Forms.Button();
      this.SpotCross = new System.Windows.Forms.CheckBox();
      this.ColPickSpot = new System.Windows.Forms.Button();
      this.colorDialog1 = new System.Windows.Forms.ColorDialog();
      this.colorDialog2 = new System.Windows.Forms.ColorDialog();
      this.colorDialogSpot = new System.Windows.Forms.ColorDialog();
      this.PictureBox7 = new System.Windows.Forms.PictureBox();
      ((System.ComponentModel.ISupportInitialize)(this.SizeHexa)).BeginInit();
      ((System.ComponentModel.ISupportInitialize)(this.SizeUpDown)).BeginInit();
      ((System.ComponentModel.ISupportInitialize)(this.PictureBox1)).BeginInit();
      ((System.ComponentModel.ISupportInitialize)(this.PictureBox2)).BeginInit();
      ((System.ComponentModel.ISupportInitialize)(this.PictureBox3)).BeginInit();
      ((System.ComponentModel.ISupportInitialize)(this.PictureBox4)).BeginInit();
      ((System.ComponentModel.ISupportInitialize)(this.PictureBox5)).BeginInit();
      ((System.ComponentModel.ISupportInitialize)(this.PictureBox6)).BeginInit();
      ((System.ComponentModel.ISupportInitialize)(this.cbBrush)).BeginInit();
      ((System.ComponentModel.ISupportInitialize)(this.BrushUpDown)).BeginInit();
      ((System.ComponentModel.ISupportInitialize)(this.SizbUpDown)).BeginInit();
      ((System.ComponentModel.ISupportInitialize)(this.SizeHexb)).BeginInit();
      ((System.ComponentModel.ISupportInitialize)(this.AlphaUpDown)).BeginInit();
      ((System.ComponentModel.ISupportInitialize)(this.tbAlpha)).BeginInit();
      ((System.ComponentModel.ISupportInitialize)(this.PictureBox7)).BeginInit();
      this.SuspendLayout();
      // 
      // label1
      // 
      this.label1.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
      this.label1.AutoSize = true;
      this.label1.Location = new System.Drawing.Point(18, 322);
      this.label1.Margin = new System.Windows.Forms.Padding(4, 0, 4, 0);
      this.label1.Name = "label1";
      this.label1.Size = new System.Drawing.Size(100, 17);
      this.label1.TabIndex = 30;
      this.label1.Text = "Transparency:";
      // 
      // label2
      // 
      this.label2.AutoSize = true;
      this.label2.Location = new System.Drawing.Point(18, 9);
      this.label2.Margin = new System.Windows.Forms.Padding(4, 0, 4, 0);
      this.label2.Name = "label2";
      this.label2.Size = new System.Drawing.Size(69, 17);
      this.label2.TabIndex = 6;
      this.label2.Text = "Size Horz";
      // 
      // label3
      // 
      this.label3.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
      this.label3.AutoSize = true;
      this.label3.Location = new System.Drawing.Point(63, 110);
      this.label3.Margin = new System.Windows.Forms.Padding(4, 0, 4, 0);
      this.label3.Name = "label3";
      this.label3.Size = new System.Drawing.Size(83, 17);
      this.label3.TabIndex = 35;
      this.label3.Text = "Draw mode:";
      // 
      // label4
      // 
      this.label4.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
      this.label4.AutoSize = true;
      this.label4.Location = new System.Drawing.Point(445, 110);
      this.label4.Margin = new System.Windows.Forms.Padding(4, 0, 4, 0);
      this.label4.Name = "label4";
      this.label4.Size = new System.Drawing.Size(48, 17);
      this.label4.TabIndex = 35;
      this.label4.Text = "Colors";
      // 
      // label5
      // 
      this.label5.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
      this.label5.AutoSize = true;
      this.label5.Location = new System.Drawing.Point(18, 288);
      this.label5.Margin = new System.Windows.Forms.Padding(4, 0, 4, 0);
      this.label5.Name = "label5";
      this.label5.Size = new System.Drawing.Size(85, 17);
      this.label5.TabIndex = 14;
      this.label5.Text = "Brush width:";
      // 
      // lbSizb
      // 
      this.lbSizb.AutoSize = true;
      this.lbSizb.Location = new System.Drawing.Point(18, 42);
      this.lbSizb.Margin = new System.Windows.Forms.Padding(4, 0, 4, 0);
      this.lbSizb.Name = "lbSizb";
      this.lbSizb.Size = new System.Drawing.Size(65, 17);
      this.lbSizb.TabIndex = 23;
      this.lbSizb.Text = "Size Vert";
      // 
      // SizeHexa
      // 
      this.SizeHexa.LargeChange = 10;
      this.SizeHexa.Location = new System.Drawing.Point(127, 6);
      this.SizeHexa.Margin = new System.Windows.Forms.Padding(4);
      this.SizeHexa.Maximum = 1000;
      this.SizeHexa.Minimum = 1;
      this.SizeHexa.Name = "SizeHexa";
      this.SizeHexa.Size = new System.Drawing.Size(280, 56);
      this.SizeHexa.TabIndex = 2;
      this.SizeHexa.TickFrequency = 100;
      this.SizeHexa.TickStyle = System.Windows.Forms.TickStyle.None;
      this.SizeHexa.Value = 100;
      this.SizeHexa.Scroll += new System.EventHandler(this.SizeHexa_Scroll);
      // 
      // SizeUpDown
      // 
      this.SizeUpDown.Location = new System.Drawing.Point(425, 6);
      this.SizeUpDown.Margin = new System.Windows.Forms.Padding(4);
      this.SizeUpDown.Maximum = new decimal(new int[] {
            1000,
            0,
            0,
            0});
      this.SizeUpDown.Minimum = new decimal(new int[] {
            1,
            0,
            0,
            0});
      this.SizeUpDown.Name = "SizeUpDown";
      this.SizeUpDown.Size = new System.Drawing.Size(72, 22);
      this.SizeUpDown.TabIndex = 3;
      this.SizeUpDown.TextAlign = System.Windows.Forms.HorizontalAlignment.Right;
      this.SizeUpDown.Value = new decimal(new int[] {
            100,
            0,
            0,
            0});
      this.SizeUpDown.ValueChanged += new System.EventHandler(this.SizeUpDown_ValueChanged);
      // 
      // DrawMode1
      // 
      this.DrawMode1.AutoSize = true;
      this.DrawMode1.Checked = true;
      this.DrawMode1.CheckState = System.Windows.Forms.CheckState.Checked;
      this.DrawMode1.Location = new System.Drawing.Point(90, 144);
      this.DrawMode1.Margin = new System.Windows.Forms.Padding(4);
      this.DrawMode1.Name = "DrawMode1";
      this.DrawMode1.Size = new System.Drawing.Size(54, 21);
      this.DrawMode1.TabIndex = 19;
      this.DrawMode1.Text = "Left";
      this.DrawMode1.UseVisualStyleBackColor = true;
      this.DrawMode1.CheckedChanged += new System.EventHandler(this.DrawMode1_CheckedChanged);
      // 
      // DrawMode2
      // 
      this.DrawMode2.AutoSize = true;
      this.DrawMode2.Location = new System.Drawing.Point(230, 144);
      this.DrawMode2.Margin = new System.Windows.Forms.Padding(4);
      this.DrawMode2.Name = "DrawMode2";
      this.DrawMode2.Size = new System.Drawing.Size(72, 21);
      this.DrawMode2.TabIndex = 18;
      this.DrawMode2.Text = "Center";
      this.DrawMode2.UseVisualStyleBackColor = true;
      this.DrawMode2.CheckedChanged += new System.EventHandler(this.DrawMode2_CheckedChanged);
      // 
      // DrawMode3
      // 
      this.DrawMode3.AutoSize = true;
      this.DrawMode3.Location = new System.Drawing.Point(368, 144);
      this.DrawMode3.Margin = new System.Windows.Forms.Padding(4);
      this.DrawMode3.Name = "DrawMode3";
      this.DrawMode3.Size = new System.Drawing.Size(63, 21);
      this.DrawMode3.TabIndex = 22;
      this.DrawMode3.Text = "Right";
      this.DrawMode3.UseVisualStyleBackColor = true;
      this.DrawMode3.CheckedChanged += new System.EventHandler(this.DrawMode3_CheckedChanged);
      // 
      // DrawMode4
      // 
      this.DrawMode4.AutoSize = true;
      this.DrawMode4.Location = new System.Drawing.Point(91, 194);
      this.DrawMode4.Margin = new System.Windows.Forms.Padding(4);
      this.DrawMode4.Name = "DrawMode4";
      this.DrawMode4.Size = new System.Drawing.Size(48, 21);
      this.DrawMode4.TabIndex = 25;
      this.DrawMode4.Text = "Up";
      this.DrawMode4.UseVisualStyleBackColor = true;
      this.DrawMode4.CheckedChanged += new System.EventHandler(this.DrawMode4_CheckedChanged);
      // 
      // DrawMode5
      // 
      this.DrawMode5.AutoSize = true;
      this.DrawMode5.Location = new System.Drawing.Point(230, 194);
      this.DrawMode5.Margin = new System.Windows.Forms.Padding(4);
      this.DrawMode5.Name = "DrawMode5";
      this.DrawMode5.Size = new System.Drawing.Size(72, 21);
      this.DrawMode5.TabIndex = 24;
      this.DrawMode5.Text = "Center";
      this.DrawMode5.UseVisualStyleBackColor = true;
      this.DrawMode5.CheckedChanged += new System.EventHandler(this.DrawMode5_CheckedChanged);
      // 
      // DrawMode6
      // 
      this.DrawMode6.AutoSize = true;
      this.DrawMode6.Location = new System.Drawing.Point(368, 194);
      this.DrawMode6.Margin = new System.Windows.Forms.Padding(4);
      this.DrawMode6.Name = "DrawMode6";
      this.DrawMode6.Size = new System.Drawing.Size(65, 21);
      this.DrawMode6.TabIndex = 28;
      this.DrawMode6.Text = "Down";
      this.DrawMode6.UseVisualStyleBackColor = true;
      this.DrawMode6.CheckedChanged += new System.EventHandler(this.DrawMode6_CheckedChanged);
      // 
      // PictureBox1
      // 
      this.PictureBox1.Image = global::HexaGrid.Properties.Resources.draw1;
      this.PictureBox1.Location = new System.Drawing.Point(58, 138);
      this.PictureBox1.Margin = new System.Windows.Forms.Padding(4);
      this.PictureBox1.Name = "PictureBox1";
      this.PictureBox1.Size = new System.Drawing.Size(29, 29);
      this.PictureBox1.SizeMode = System.Windows.Forms.PictureBoxSizeMode.AutoSize;
      this.PictureBox1.TabIndex = 20;
      this.PictureBox1.TabStop = false;
      this.PictureBox1.Click += new System.EventHandler(this.PictureBox1_Click);
      // 
      // PictureBox2
      // 
      this.PictureBox2.Image = global::HexaGrid.Properties.Resources.draw2;
      this.PictureBox2.Location = new System.Drawing.Point(195, 139);
      this.PictureBox2.Margin = new System.Windows.Forms.Padding(4);
      this.PictureBox2.Name = "PictureBox2";
      this.PictureBox2.Size = new System.Drawing.Size(29, 29);
      this.PictureBox2.SizeMode = System.Windows.Forms.PictureBoxSizeMode.AutoSize;
      this.PictureBox2.TabIndex = 21;
      this.PictureBox2.TabStop = false;
      this.PictureBox2.Click += new System.EventHandler(this.PictureBox2_Click);
      // 
      // PictureBox3
      // 
      this.PictureBox3.Image = global::HexaGrid.Properties.Resources.draw3;
      this.PictureBox3.Location = new System.Drawing.Point(333, 139);
      this.PictureBox3.Margin = new System.Windows.Forms.Padding(4);
      this.PictureBox3.Name = "PictureBox3";
      this.PictureBox3.Size = new System.Drawing.Size(29, 29);
      this.PictureBox3.SizeMode = System.Windows.Forms.PictureBoxSizeMode.AutoSize;
      this.PictureBox3.TabIndex = 23;
      this.PictureBox3.TabStop = false;
      this.PictureBox3.Click += new System.EventHandler(this.PictureBox3_Click);
      // 
      // PictureBox4
      // 
      this.PictureBox4.Image = global::HexaGrid.Properties.Resources.draw4;
      this.PictureBox4.Location = new System.Drawing.Point(58, 189);
      this.PictureBox4.Margin = new System.Windows.Forms.Padding(4);
      this.PictureBox4.Name = "PictureBox4";
      this.PictureBox4.Size = new System.Drawing.Size(29, 29);
      this.PictureBox4.SizeMode = System.Windows.Forms.PictureBoxSizeMode.AutoSize;
      this.PictureBox4.TabIndex = 26;
      this.PictureBox4.TabStop = false;
      this.PictureBox4.Click += new System.EventHandler(this.PictureBox4_Click);
      // 
      // PictureBox5
      // 
      this.PictureBox5.Image = global::HexaGrid.Properties.Resources.draw5;
      this.PictureBox5.Location = new System.Drawing.Point(195, 189);
      this.PictureBox5.Margin = new System.Windows.Forms.Padding(4);
      this.PictureBox5.Name = "PictureBox5";
      this.PictureBox5.Size = new System.Drawing.Size(29, 29);
      this.PictureBox5.SizeMode = System.Windows.Forms.PictureBoxSizeMode.AutoSize;
      this.PictureBox5.TabIndex = 27;
      this.PictureBox5.TabStop = false;
      this.PictureBox5.Click += new System.EventHandler(this.PictureBox5_Click);
      // 
      // PictureBox6
      // 
      this.PictureBox6.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(40)))), ((int)(((byte)(40)))), ((int)(((byte)(40)))));
      this.PictureBox6.Image = global::HexaGrid.Properties.Resources.draw6;
      this.PictureBox6.Location = new System.Drawing.Point(333, 189);
      this.PictureBox6.Margin = new System.Windows.Forms.Padding(4);
      this.PictureBox6.Name = "PictureBox6";
      this.PictureBox6.Size = new System.Drawing.Size(29, 29);
      this.PictureBox6.SizeMode = System.Windows.Forms.PictureBoxSizeMode.AutoSize;
      this.PictureBox6.TabIndex = 29;
      this.PictureBox6.TabStop = false;
      this.PictureBox6.Click += new System.EventHandler(this.PictureBox6_Click);
      // 
      // cbBrush
      // 
      this.cbBrush.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
      this.cbBrush.LargeChange = 10;
      this.cbBrush.Location = new System.Drawing.Point(127, 286);
      this.cbBrush.Margin = new System.Windows.Forms.Padding(4);
      this.cbBrush.Maximum = 500;
      this.cbBrush.Minimum = 1;
      this.cbBrush.Name = "cbBrush";
      this.cbBrush.Size = new System.Drawing.Size(280, 56);
      this.cbBrush.TabIndex = 7;
      this.cbBrush.TickFrequency = 100;
      this.cbBrush.TickStyle = System.Windows.Forms.TickStyle.None;
      this.cbBrush.Value = 2;
      this.cbBrush.Scroll += new System.EventHandler(this.CBBrush_Scroll);
      // 
      // BrushUpDown
      // 
      this.BrushUpDown.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
      this.BrushUpDown.Location = new System.Drawing.Point(425, 286);
      this.BrushUpDown.Margin = new System.Windows.Forms.Padding(4);
      this.BrushUpDown.Maximum = new decimal(new int[] {
            500,
            0,
            0,
            0});
      this.BrushUpDown.Minimum = new decimal(new int[] {
            1,
            0,
            0,
            0});
      this.BrushUpDown.Name = "BrushUpDown";
      this.BrushUpDown.Size = new System.Drawing.Size(72, 22);
      this.BrushUpDown.TabIndex = 8;
      this.BrushUpDown.TextAlign = System.Windows.Forms.HorizontalAlignment.Right;
      this.BrushUpDown.Value = new decimal(new int[] {
            2,
            0,
            0,
            0});
      this.BrushUpDown.ValueChanged += new System.EventHandler(this.BrushUpDown_ValueChanged);
      // 
      // AntiAliased
      // 
      this.AntiAliased.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
      this.AntiAliased.AutoSize = true;
      this.AntiAliased.Location = new System.Drawing.Point(22, 365);
      this.AntiAliased.Margin = new System.Windows.Forms.Padding(4);
      this.AntiAliased.Name = "AntiAliased";
      this.AntiAliased.Size = new System.Drawing.Size(105, 21);
      this.AntiAliased.TabIndex = 9;
      this.AntiAliased.Text = "Anti-Aliased";
      this.AntiAliased.UseVisualStyleBackColor = true;
      this.AntiAliased.CheckedChanged += new System.EventHandler(this.AntiAliased_CheckedChanged);
      // 
      // buttonCancel
      // 
      this.buttonCancel.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
      this.buttonCancel.DialogResult = System.Windows.Forms.DialogResult.Cancel;
      this.buttonCancel.ForeColor = System.Drawing.SystemColors.ControlText;
      this.buttonCancel.Location = new System.Drawing.Point(424, 388);
      this.buttonCancel.Margin = new System.Windows.Forms.Padding(4);
      this.buttonCancel.Name = "buttonCancel";
      this.buttonCancel.Size = new System.Drawing.Size(94, 29);
      this.buttonCancel.TabIndex = 11;
      this.buttonCancel.Text = "Cancel";
      this.buttonCancel.UseVisualStyleBackColor = true;
      this.buttonCancel.Click += new System.EventHandler(this.ButtonCancel_Click);
      // 
      // buttonOK
      // 
      this.buttonOK.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
      this.buttonOK.ForeColor = System.Drawing.SystemColors.ControlText;
      this.buttonOK.Location = new System.Drawing.Point(323, 388);
      this.buttonOK.Margin = new System.Windows.Forms.Padding(4);
      this.buttonOK.Name = "buttonOK";
      this.buttonOK.Size = new System.Drawing.Size(94, 29);
      this.buttonOK.TabIndex = 10;
      this.buttonOK.Text = "OK";
      this.buttonOK.UseVisualStyleBackColor = true;
      this.buttonOK.Click += new System.EventHandler(this.ButtonOK_Click);
      // 
      // cbEnd
      // 
      this.cbEnd.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
      this.cbEnd.AutoSize = true;
      this.cbEnd.Location = new System.Drawing.Point(22, 394);
      this.cbEnd.Margin = new System.Windows.Forms.Padding(4);
      this.cbEnd.Name = "cbEnd";
      this.cbEnd.Size = new System.Drawing.Size(123, 21);
      this.cbEnd.TabIndex = 20;
      this.cbEnd.Text = "< Ends of lines";
      this.cbEnd.UseVisualStyleBackColor = true;
      this.cbEnd.CheckedChanged += new System.EventHandler(this.CBEnd_CheckedChanged);
      // 
      // SizbUpDown
      // 
      this.SizbUpDown.Location = new System.Drawing.Point(425, 40);
      this.SizbUpDown.Margin = new System.Windows.Forms.Padding(4);
      this.SizbUpDown.Maximum = new decimal(new int[] {
            1000,
            0,
            0,
            0});
      this.SizbUpDown.Minimum = new decimal(new int[] {
            1,
            0,
            0,
            0});
      this.SizbUpDown.Name = "SizbUpDown";
      this.SizbUpDown.Size = new System.Drawing.Size(72, 22);
      this.SizbUpDown.TabIndex = 22;
      this.SizbUpDown.TextAlign = System.Windows.Forms.HorizontalAlignment.Right;
      this.SizbUpDown.Value = new decimal(new int[] {
            100,
            0,
            0,
            0});
      this.SizbUpDown.ValueChanged += new System.EventHandler(this.SizbUpDown_ValueChanged);
      // 
      // SizeHexb
      // 
      this.SizeHexb.LargeChange = 10;
      this.SizeHexb.Location = new System.Drawing.Point(127, 40);
      this.SizeHexb.Margin = new System.Windows.Forms.Padding(4);
      this.SizeHexb.Maximum = 1000;
      this.SizeHexb.Minimum = 1;
      this.SizeHexb.Name = "SizeHexb";
      this.SizeHexb.Size = new System.Drawing.Size(280, 56);
      this.SizeHexb.TabIndex = 21;
      this.SizeHexb.TickFrequency = 100;
      this.SizeHexb.TickStyle = System.Windows.Forms.TickStyle.None;
      this.SizeHexb.Value = 100;
      this.SizeHexb.Scroll += new System.EventHandler(this.SizeHexb_Scroll);
      // 
      // cbSize
      // 
      this.cbSize.AutoSize = true;
      this.cbSize.Location = new System.Drawing.Point(17, 79);
      this.cbSize.Margin = new System.Windows.Forms.Padding(4);
      this.cbSize.Name = "cbSize";
      this.cbSize.Size = new System.Drawing.Size(108, 21);
      this.cbSize.TabIndex = 27;
      this.cbSize.Text = "Linked sizes";
      this.cbSize.UseVisualStyleBackColor = true;
      this.cbSize.CheckedChanged += new System.EventHandler(this.CBSize_CheckedChanged);
      // 
      // AlphaUpDown
      // 
      this.AlphaUpDown.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
      this.AlphaUpDown.Location = new System.Drawing.Point(425, 320);
      this.AlphaUpDown.Margin = new System.Windows.Forms.Padding(4);
      this.AlphaUpDown.Maximum = new decimal(new int[] {
            255,
            0,
            0,
            0});
      this.AlphaUpDown.Name = "AlphaUpDown";
      this.AlphaUpDown.Size = new System.Drawing.Size(72, 22);
      this.AlphaUpDown.TabIndex = 29;
      this.AlphaUpDown.TextAlign = System.Windows.Forms.HorizontalAlignment.Right;
      this.AlphaUpDown.Value = new decimal(new int[] {
            255,
            0,
            0,
            0});
      this.AlphaUpDown.ValueChanged += new System.EventHandler(this.AlphaUpDown_ValueChanged);
      // 
      // tbAlpha
      // 
      this.tbAlpha.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
      this.tbAlpha.LargeChange = 10;
      this.tbAlpha.Location = new System.Drawing.Point(127, 320);
      this.tbAlpha.Margin = new System.Windows.Forms.Padding(4);
      this.tbAlpha.Maximum = 255;
      this.tbAlpha.Name = "tbAlpha";
      this.tbAlpha.Size = new System.Drawing.Size(280, 56);
      this.tbAlpha.TabIndex = 28;
      this.tbAlpha.TickFrequency = 100;
      this.tbAlpha.TickStyle = System.Windows.Forms.TickStyle.None;
      this.tbAlpha.Value = 255;
      this.tbAlpha.Scroll += new System.EventHandler(this.TBAlpha_Scroll);
      // 
      // ColPick2
      // 
      this.ColPick2.Location = new System.Drawing.Point(449, 188);
      this.ColPick2.Margin = new System.Windows.Forms.Padding(2);
      this.ColPick2.Name = "ColPick2";
      this.ColPick2.Size = new System.Drawing.Size(30, 30);
      this.ColPick2.TabIndex = 8;
      this.ColPick2.UseVisualStyleBackColor = true;
      this.ColPick2.Click += new System.EventHandler(this.ColPick2_Click);
      // 
      // ColPick1
      // 
      this.ColPick1.Location = new System.Drawing.Point(449, 138);
      this.ColPick1.Margin = new System.Windows.Forms.Padding(2);
      this.ColPick1.Name = "ColPick1";
      this.ColPick1.Size = new System.Drawing.Size(30, 30);
      this.ColPick1.TabIndex = 7;
      this.ColPick1.UseVisualStyleBackColor = true;
      this.ColPick1.Click += new System.EventHandler(this.ColPick1_Click);
      // 
      // SpotCross
      // 
      this.SpotCross.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
      this.SpotCross.AutoSize = true;
      this.SpotCross.Location = new System.Drawing.Point(284, 239);
      this.SpotCross.Margin = new System.Windows.Forms.Padding(4);
      this.SpotCross.Name = "SpotCross";
      this.SpotCross.Size = new System.Drawing.Size(123, 21);
      this.SpotCross.TabIndex = 32;
      this.SpotCross.Text = "Spot crossings";
      this.SpotCross.UseVisualStyleBackColor = true;
      this.SpotCross.CheckedChanged += new System.EventHandler(this.SpotCross_CheckedChanged);
      // 
      // ColPickSpot
      // 
      this.ColPickSpot.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
      this.ColPickSpot.Location = new System.Drawing.Point(449, 233);
      this.ColPickSpot.Margin = new System.Windows.Forms.Padding(2);
      this.ColPickSpot.Name = "ColPickSpot";
      this.ColPickSpot.Size = new System.Drawing.Size(30, 30);
      this.ColPickSpot.TabIndex = 34;
      this.ColPickSpot.UseVisualStyleBackColor = true;
      this.ColPickSpot.Click += new System.EventHandler(this.ColPickSpot_Click);
      // 
      // PictureBox7
      // 
      this.PictureBox7.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
      this.PictureBox7.Image = global::HexaGrid.Properties.Resources.draws0;
      this.PictureBox7.Location = new System.Drawing.Point(247, 231);
      this.PictureBox7.Margin = new System.Windows.Forms.Padding(4);
      this.PictureBox7.Name = "PictureBox7";
      this.PictureBox7.Size = new System.Drawing.Size(29, 29);
      this.PictureBox7.SizeMode = System.Windows.Forms.PictureBoxSizeMode.AutoSize;
      this.PictureBox7.TabIndex = 33;
      this.PictureBox7.TabStop = false;
      // 
      // EffectPluginConfigDialog
      // 
      this.AutoScaleDimensions = new System.Drawing.SizeF(120F, 120F);
      this.CancelButton = this.buttonCancel;
      this.ClientSize = new System.Drawing.Size(532, 431);
      this.Controls.Add(this.cbSize);
      this.Controls.Add(this.label1);
      this.Controls.Add(this.label2);
      this.Controls.Add(this.label3);
      this.Controls.Add(this.label4);
      this.Controls.Add(this.label5);
      this.Controls.Add(this.lbSizb);
      this.Controls.Add(this.ColPickSpot);
      this.Controls.Add(this.PictureBox1);
      this.Controls.Add(this.PictureBox2);
      this.Controls.Add(this.PictureBox3);
      this.Controls.Add(this.PictureBox4);
      this.Controls.Add(this.PictureBox5);
      this.Controls.Add(this.PictureBox6);
      this.Controls.Add(this.PictureBox7);
      this.Controls.Add(this.SpotCross);
      this.Controls.Add(this.ColPick1);
      this.Controls.Add(this.ColPick2);
      this.Controls.Add(this.AlphaUpDown);
      this.Controls.Add(this.tbAlpha);
      this.Controls.Add(this.SizbUpDown);
      this.Controls.Add(this.cbEnd);
      this.Controls.Add(this.DrawMode1);
      this.Controls.Add(this.DrawMode2);
      this.Controls.Add(this.DrawMode3);
      this.Controls.Add(this.DrawMode4);
      this.Controls.Add(this.DrawMode5);
      this.Controls.Add(this.DrawMode6);
      this.Controls.Add(this.BrushUpDown);
      this.Controls.Add(this.cbBrush);
      this.Controls.Add(this.AntiAliased);
      this.Controls.Add(this.SizeUpDown);
      this.Controls.Add(this.buttonOK);
      this.Controls.Add(this.buttonCancel);
      this.Controls.Add(this.SizeHexb);
      this.Controls.Add(this.SizeHexa);
      this.ForeColor = System.Drawing.Color.White;
      this.Location = new System.Drawing.Point(0, 0);
      this.Name = "EffectPluginConfigDialog";
      this.Text = "Hexagonal Grid";
      //this.UseAppThemeBackColor = true;
      this.UseAppThemeColors = true;
      this.Load += new System.EventHandler(this.ConfigDialog_Load);
      ((System.ComponentModel.ISupportInitialize)(this.SizeHexa)).EndInit();
      ((System.ComponentModel.ISupportInitialize)(this.SizeUpDown)).EndInit();
      ((System.ComponentModel.ISupportInitialize)(this.PictureBox1)).EndInit();
      ((System.ComponentModel.ISupportInitialize)(this.PictureBox2)).EndInit();
      ((System.ComponentModel.ISupportInitialize)(this.PictureBox3)).EndInit();
      ((System.ComponentModel.ISupportInitialize)(this.PictureBox4)).EndInit();
      ((System.ComponentModel.ISupportInitialize)(this.PictureBox5)).EndInit();
      ((System.ComponentModel.ISupportInitialize)(this.PictureBox6)).EndInit();
      ((System.ComponentModel.ISupportInitialize)(this.cbBrush)).EndInit();
      ((System.ComponentModel.ISupportInitialize)(this.BrushUpDown)).EndInit();
      ((System.ComponentModel.ISupportInitialize)(this.SizbUpDown)).EndInit();
      ((System.ComponentModel.ISupportInitialize)(this.SizeHexb)).EndInit();
      ((System.ComponentModel.ISupportInitialize)(this.AlphaUpDown)).EndInit();
      ((System.ComponentModel.ISupportInitialize)(this.tbAlpha)).EndInit();
      ((System.ComponentModel.ISupportInitialize)(this.PictureBox7)).EndInit();
      this.ResumeLayout(false);
      this.PerformLayout();

    }

    private void ConfigDialog_Load(object sender, EventArgs e)
    {
      ColPick1.BackColor = Color.Black;
      ColPick2.BackColor = Color.Black;
      ColPickSpot.BackColor = Color.Gray;
    }

    private void ButtonOK_Click(object sender, EventArgs e)
    {
      FinishTokenUpdate();
      DialogResult = DialogResult.OK;
      Close();
    }

    private void ButtonCancel_Click(object sender, EventArgs e)
    {
      Close();
    }

    private void UpdateSizes()
    {
      if (cbSize.Checked)
      {
        SizbUpDown.Value = SizeHexa.Value;
        SizeHexb.Value = SizeHexa.Value;
      }
      Update();
      FinishTokenUpdate();
    }
    private void SizeHexa_Scroll(object sender, EventArgs e)
    {
      if (SizeHexa.Value != SizeUpDown.Value)
      {
        SizeUpDown.Value = SizeHexa.Value;
        UpdateSizes();
      }
    }
    private void SizeHexb_Scroll(object sender, EventArgs e)
    {
      if (SizeHexb.Value != SizbUpDown.Value)
      {
        SizbUpDown.Value = SizeHexb.Value;
        UpdateSizes();
      }
    }
    private void SizeUpDown_ValueChanged(object sender, EventArgs e)
    {
      if (SizeHexa.Value != (int)SizeUpDown.Value)
      {
        SizeHexa.Value = (int)SizeUpDown.Value;
        UpdateSizes();
      }
    }
    private void SizbUpDown_ValueChanged(object sender, EventArgs e)
    {
      if (SizeHexb.Value != (int)SizbUpDown.Value)
      {
        SizeHexb.Value = (int)SizbUpDown.Value;
        UpdateSizes();
      }
    }

    private void AntiAliased_CheckedChanged(object sender, EventArgs e)
    {
      FinishTokenUpdate();
    }

    private void SpotCross_CheckedChanged(object sender, EventArgs e)
    {
      if (SpotCross.Checked) this.PictureBox7.Image = global::HexaGrid.Properties.Resources.draws1; else this.PictureBox7.Image = global::HexaGrid.Properties.Resources.draws0;
      FinishTokenUpdate();
    }

    private void CBBrush_Scroll(object sender, EventArgs e)
    {
      if (cbBrush.Value != BrushUpDown.Value)
      {
        BrushUpDown.Value = cbBrush.Value;
        Update();
        FinishTokenUpdate();
      }
    }
    private void BrushUpDown_ValueChanged(object sender, EventArgs e)
    {
      if (cbBrush.Value != (int)BrushUpDown.Value)
      {
        cbBrush.Value = (int)BrushUpDown.Value;
        Update();
        FinishTokenUpdate();
      }
    }
    private void TBAlpha_Scroll(object sender, EventArgs e)
    {
      if (tbAlpha.Value != AlphaUpDown.Value)
      {
        AlphaUpDown.Value = tbAlpha.Value;
        Update();
        FinishTokenUpdate();
      }
    }

    private void AlphaUpDown_ValueChanged(object sender, EventArgs e)
    {
      if (tbAlpha.Value != (int)AlphaUpDown.Value)
      {
        tbAlpha.Value = (int)AlphaUpDown.Value;
        Update();
        FinishTokenUpdate();
      }
    }
    private void DrawMode1_CheckedChanged(object sender, EventArgs e)
    {
      FinishTokenUpdate();
    }
    private void DrawMode2_CheckedChanged(object sender, EventArgs e)
    {
      FinishTokenUpdate();
    }
    private void DrawMode3_CheckedChanged(object sender, EventArgs e)
    {
      FinishTokenUpdate();
    }
    private void DrawMode4_CheckedChanged(object sender, EventArgs e)
    {
      FinishTokenUpdate();
    }
    private void DrawMode5_CheckedChanged(object sender, EventArgs e)
    {
      FinishTokenUpdate();
    }
    private void DrawMode6_CheckedChanged(object sender, EventArgs e)
    {
      FinishTokenUpdate();
    }

    private void PictureBox1_Click(object sender, EventArgs e)
    {
      DrawMode1.Checked = !DrawMode1.Checked;
      FinishTokenUpdate();
    }
    private void PictureBox2_Click(object sender, EventArgs e)
    {
      DrawMode2.Checked = !DrawMode2.Checked;
      FinishTokenUpdate();
    }
    private void PictureBox3_Click(object sender, EventArgs e)
    {
      DrawMode3.Checked = !DrawMode3.Checked;
      FinishTokenUpdate();
    }
    private void PictureBox4_Click(object sender, EventArgs e)
    {
      DrawMode4.Checked = !DrawMode4.Checked;
      FinishTokenUpdate();
    }
    private void PictureBox5_Click(object sender, EventArgs e)
    {
      DrawMode5.Checked = !DrawMode5.Checked;
      FinishTokenUpdate();
    }
    private void PictureBox6_Click(object sender, EventArgs e)
    {
      DrawMode6.Checked = !DrawMode6.Checked;
      FinishTokenUpdate();
    }

    private void CBEnd_CheckedChanged(object sender, EventArgs e)
    {
      FinishTokenUpdate();
    }

    private void CBSize_CheckedChanged(object sender, EventArgs e)
    {
      lbSizb.Enabled = !cbSize.Checked;
      SizeHexb.Enabled = !cbSize.Checked;
      SizbUpDown.Enabled = !cbSize.Checked;
      UpdateSizes();
    }
    private void ColPick1_Click(object sender, EventArgs e)
    {
      if (colorDialog1.ShowDialog() == DialogResult.OK)
      {
        ColPick1.BackColor = colorDialog1.Color;
        Color1 = colorDialog1.Color;
      }
      FinishTokenUpdate();
    }
    private void ColPick2_Click(object sender, EventArgs e)
    {
      if (colorDialog2.ShowDialog() == DialogResult.OK)
      {
        ColPick2.BackColor = colorDialog2.Color;
        Color2 = colorDialog2.Color;
      }

      FinishTokenUpdate();
    }
    private void ColPickSpot_Click(object sender, EventArgs e)
    {
      if (colorDialogSpot.ShowDialog() == DialogResult.OK)
      {
        ColPickSpot.BackColor = colorDialogSpot.Color;
        ColorSpot = colorDialogSpot.Color;
      }
      FinishTokenUpdate();
    }
  }
}